/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM9ES core: Null coprocessor header [arm-cpnull.h]            *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __ARM_CPNULL_H_
#define __ARM_CPNULL_H_

#include "armcopro.h"

// The null copro is an implementation of the abstract Copro.
class ARMcpNULL : public ARMCopro {
    public:
	ARMcpNULL();
	~ARMcpNULL();
	void set(int, int, int, int, u32);
	u32 get(int, int, int, int);
	void op(int, int, int, int, int);
	void read(int, u32, int, int);
	void write(int, u32, int, int);
};

#endif//__ARM_CPNULL_H_

/*** EOF: arm-cpnull.h ***************************************************/

