/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM9ES core: System control coprocessor [arm-cpsys.cpp]        *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#include "arm-cpsys.h"

// TODO: The whole of the system copro is missing right now.

ARMcpSys::ARMcpSys()
{
}

ARMcpSys::~ARMcpSys()
{
}

void ARMcpSys::set(int op1, int op2, int rn, int rm, u32 val)
{
    switch(rn)
    {
    }
}

u32 ARMcpSys::get(int op1, int op2, int rn, int rm)
{
    switch(rn)
    {
        case 0:
            switch(op2)
            {
                case 1: return 0x0F0D2112;  // Writeback lockdownB cache,
			                    // Seperate I/Dcache, 
					    // 4KB 4-way 32B-line D,
					    // 8KB 4-way 32B-line I
		case 2: return 0x00140140;  // 16KB ITCM and DTCM
                default: return 0x41059461; // ARMv5TE, part 946, rev. 1
	    }
	    break;
	default: return 0;
    }
}

void ARMcpSys::op(int op1, int op2, int rn, int rm, int rd)
{
}

void ARMcpSys::read(int rd, u32 addr, int longword, int opt)
{
}

void ARMcpSys::write(int rd, u32 addr, int longword, int opt)
{
}

/*** EOF: arm-cpsys.cpp **************************************************/

