/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM9ES core: Coprocessor interface definition [armcopro.h]     *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __ARMCOPRO_H_
#define __ARMCOPRO_H_

#include "datadefs.h"

class ARMCopro {
    public:
	virtual ~ARMCopro() { }
	virtual void set(int, int, int, int, u32) = 0;
	virtual u32 get(int, int, int, int) = 0;
	virtual void op(int, int, int, int, int) = 0;
	virtual void read(int, u32, int, int) = 0;
	virtual void write(int, u32, int, int) = 0;
};

#endif//__ARMCOPRO_H_

/*** EOF: armcopro.h *****************************************************/

