/**************************************************************************
* DSemu - The Next Generation                                             *
* Plugin definitions: GPU interface [plggpu.h]                            *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __PLGGPU_H_
#define __PLGGPU_H_

#include "plgbase.h"
#include "datadefs.h"

// Extending the base plugin interface.
class GPUPlugin : public Plugin
{
    public:
	virtual void setDisplay(u8*) = 0;      // Where to draw to
};

#define PLUGIN_TYPE_GPU 3

#define ERR_GPU_INIT 0x0301

#endif//__PLGGPU_H_

/*** EOF: plggpu.h *******************************************************/

