/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM9ES core: System control coprocessor header [arm-cpsys.h]   *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __ARM_CPSYS_H_
#define __ARM_CPSYS_H_

#include "armcopro.h"

// The Sys copro is merely an implementation of the Copro interface.
class ARMcpSys : public ARMCopro {
    public:
	ARMcpSys();
	~ARMcpSys();
	void set(int, int, int, int, u32);
	u32 get(int, int, int, int);
	void op(int, int, int, int, int);
	void read(int, u32, int, int);
	void write(int, u32, int, int);
};

#endif//__ARM_CPSYS_H_

/*** EOF: arm-cpsys.h ****************************************************/

