/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM7TDMI core: ARM7-specific opcodes [arm7tdmi-opcodes.cpp]    *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifdef ARM7TDMI_X86

// There isn't much in here, because most of the ARM7 is subsumed into the
// ARM9; therefore, those opcodes are common, and defined in arm-dp|ls.

#include "arm7tdmi.h"
#include "plgmmu32.h"
#include "armhelp.h"
#include "armmasks.h"
#include "datadefs.h"
#include "log.h"
#include "err.h"

//---Branching-------------------------------------------------------------

OPC xopB()
{
    return 3;
}

OPC xopBL()
{
    return 3;
}

OPC xopBX()
{
    return 1;
}

#endif

/*** EOF: arm7tdmi-opcodes.cpp *******************************************/

