/**************************************************************************
* DSemu - The Next Generation                                             *
* 5x7 font renderer: Class definition [font5x7.h]                         *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __FONT5X7_H_
#define __FONT5X7_H_

class Font5x7 {
    public:
	Font5x7(u32*, int, int);
        void clear();
	void print(char*, int, int, u32);

    // Nothing outside need ever know how a character's rendered.
    private:
        void chr(u8, int, int, u32);
	static u8 font[][7];
	static u32 *buf;
	static int xdim, ydim;
};

#endif//__FONT5X7_H_

/*** EOF: font5x7.h ******************************************************/

