/**************************************************************************
* DSemu - The Next Generation                                             *
* Null plugin: Class definition [null.h]                                  *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#include "defs.h"
#include "plgbase.h"

// Nothing particularly special about this plugin, no specific interface.
class nullPlugin : public Plugin {
    public:
        nullPlugin(std::string, REQPTR, UNREQPTR);
	~nullPlugin();
	
        PLUGININFO *getinfo();
	void reset();
	void release();
	void status(int, int);

    private:
        //---Plugin-generic stuff
        std::string pName, pClass;
        REQPTR pRequest;
        UNREQPTR pUnrequest;
	static PLUGININFO pInfo;
        
        static std::string pluginName;
};

/*** EOF: null.h *********************************************************/

