/**************************************************************************
* DSemu - The Next Generation                                             *
* Plugin definitions: APU interface [plgapu.h]                            *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#ifndef __PLGAPU_H_
#define __PLGAPU_H_

#include "plgbase.h"
#include "datadefs.h"

// Extending the base plugin interface.
class APUPlugin : public Plugin
{
    public:
        virtual void togglePause() = 0;     // Pause or restart the APU
};

#define PLUGIN_TYPE_APU 5

#define ERR_APU_INIT 0x0501

#endif//__PLGAPU_H_

/*** EOF: plgapu.h *******************************************************/

