/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM7TDMI core: ARM7-specific Thumb ops [thumb7-opcodes.cpp]    *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#include "arm7tdmi.h"

#define _RNH reg.r[((reg.curop&TMSK_RN)>>TSHFT_RN)|((reg.curop&0x0040)>>3)]

OPC xtopBXreg()
{
    if(((reg.curop&0x0078)>>3)==15) if((_RNH&3)==0) opUNP();
    if((_RNH&3)==2) opUNP();
    reg.r[15]=(_RNH&~1)+((((reg.curop&0x0078)>>3)==15)?2:0); reg.flags[FLAG_T]=_RNH&1;
    return 1;
}

/*** EOF: thumb7-opcodes.cpp *********************************************/

