/**************************************************************************
* DSemu - The Next Generation                                             *
* Portable ARM9ES core: ARM9-specific Thumb opcodes [thumb9-opcodes.cpp]  *
* Copyright Imran Nazar, 2005; released under the BSD public licence.     *
**************************************************************************/

#include "arm9es.h"

#define _RNH reg.r[((reg.curop&TMSK_RN)>>TSHFT_RN)|((reg.curop&0x0040)>>3)]

OPC topBXreg()
{
    if(reg.curop&0x0080) reg.r[14]=reg.r[15]|1;
    if(((reg.curop&0x0078)>>3)==15) if((_RNH&3)==0) opUNP();
    if((_RNH&3)==2) opUNP();
    reg.r[15]=(_RNH&~1)+((((reg.curop&0x0078)>>3)==15)?2:0); reg.flags[FLAG_T]=_RNH&1;
    return 1;
}

OPC topBLXoff()
{
    reg.tmp1=reg.r[15]|1; reg.r[15]=reg.r[14]+2+((reg.curop&TMSK_IMM11)<<1); reg.r[15]&=~3; reg.r[14]=reg.tmp1;
    reg.flags[FLAG_T]=0;
    return 1;
}

OPC topBKPT()
{
    return 1;
}

/*** EOF: thumb9-opcodes.cpp *********************************************/

